SIGN IN

Developers

Free Trial

transactions.get-detail


XML Request Example   XML Response Example   PHP Example   GET Example  

This method retrieves detailed information about a specific transaction.

Parameters:
  • id - integer - the transaction system id - can be retrieved using the 'transactions.get' method




XML Request Example

<?xml version='1.0'?>
<request>
	<interface>PHP</interface>
	<version>0.3</version>
	<key>API_KEY</key>
	<secret>API_SECRET</secret>
	<method>transactions.get-detail</method>
	<params>
		<id>1</id>
	</params>
</request>




XML Response Example

<?xml version='1.0'?>
<xml>
	<method>transactions.get-detail</method>
	<total>1</total>
	<time>2010-01-27 05:33:56 GMT</time>
	<timestamp>1264570436 GMT</timestamp>
	<data>
		<id>1</id>
		<user_id>1</user_id>
		<description>System Debit</description>
		<amount>-36.400</amount>
		<balance_standing>273.690</balance_standing>
		<datetime_entry>2010-01-13 01:04:19</datetime_entry>
	</data>
</xml>




PHP Example

Download the PHP API Client

<?php

// change api key and secret to your own
$myAPIKey = "API_KEY";
$myAPISecret = "API_SECRET";

// include base class
require('APIclient.php');

// create new client object
$transmitsmsAPI = new transmitsmsAPI($myAPIKey, $myAPISecret);

// set parameters
$transaction_id = 1;

// execute request
$methodResponse = $transmitsmsAPI->getTransactionDetail($transaction_id);

// parse response into xml object
$xml = @simplexml_load_string($methodResponse);

echo 'Transaction #' . (string) $xml->data->id . ': ' .  (string) $xml->data->description . '<hr />';

?>




GET Example

Using a URL based request system you can request this method by using the below URL - be sure to url encode all your variables!

http://burstsms.com/api-wrapper/transactions.get-detail?apikey=API_KEY&apisecret=API_SECRET&id=TRANSACTION_ID